<form [formGroup]="form">

  <solidify-detail-presentation [centerTemplate]="centerTemplate"
                                [iconName]="iconNameEnum.jobs"
                                [rightTemplate]="rightTemplate"
  ></solidify-detail-presentation>

  <ng-template #centerTemplate>

    <div *ngIf="readonly"
         class="header"
    >
      <solidify-status *ngIf="getFormControl(formDefinition.status) as fd"
                       [statusModel]="enumUtil.getKeyValue(listExecutionStatusToTranslate, fd.value)"
      ></solidify-status>
    </div>

    <mat-form-field *ngIf="getFormControl(formDefinition.statusMessage) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    [matTooltipPosition]="'left'"
                    [matTooltip]="'preservation.jobExecution.form.statusMessage' | translate"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.statusMessage | translate}}</mat-label>
      <textarea [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                cdkTextareaAutosize
                matInput
      >
        </textarea>
    </mat-form-field>

  </ng-template>

  <ng-template #rightTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.startDate) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    [matTooltipPosition]="'left'"
                    [matTooltip]="'preservation.jobExecution.form.startDate' | translate"
                    aria-label="Start date"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.startDate | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             matInput
      >
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.endDate) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    [matTooltipPosition]="'left'"
                    [matTooltip]="'preservation.jobExecution.form.endDate' | translate"
                    aria-label="End date"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.endDate | translate}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             matInput
      >
    </mat-form-field>

  </ng-template>

</form>
